SABROWSE(1)

NAME
sabrowse - Sather 1.0 browser

SYNOPSIS
sabrowse [ files and <compileroptions> ]

DESCRIPTION
sabrowse is the Sather 1.0 browser. It uses almost the same front end as the Sather compiler, sacomp, and accepts all the same options. However, all options except for the sather source and module file names and "-main" are ignored. You should be able to start up the browser with the same module files that you use for the compiler. Warning messages regarding options that are not meaningful for the browser will be displayed.

USAGE
The environment variable SATHER_HOME must be set to the installation directory of the compiler at your site. Then a file "foo.sa" with the FOO class containing main can be browsed with the command "sabrowse foo.sa -main FOO". For example, a user might have to set the environment variable SATHER_HOME to "/usr/local/lib/sather" and add "/usr/lib/sather/Bin" to their path. Make sure that the path name does not have a trailing slash, since this confuses some of the tcl scripts.

FILES
File names must be in one of the following forms: file.sa - A Sather source file.

file.module - A Sather commands file.
    Many of the browser configuration parameters can be changed using menu items. The current configuration information may be saved in a file .bsConfig.tcl in the user's home directory, which will be sourced the next time the browser starts up.
    A useful configuration item is whether the browser comes up with a separate window for the graph display. This may be changed from the configuration menu, but the browser must be re-started for the change to take effect. All other configuration options should take effect immediately. The browser menus and configuration options are described in more detail under the Help menu of the Browser.
    By default, the browser uses "-has" clauses and should display all classes that are reachable from the main routine of the sather program on which the browser is being run. In order to see parametrized classes, there must be at least one instantiation of the parameters present among the reachable classes.

BROWSER HELP
    Help is available for various aspects of the browser from the Help menu. The help files are stored in SATHER_HOME/Browser/Help.

BROWSER SPECIFIC OPTIONS

-non_interactive tcl_file
    Run the browser without throwing up a graphical window. The Tcl file tcl_file is sourced for commands. Users should not need to use this option, but it is extensively used by the scripts that generate html and hence is documented here.

BUGS
See the BUGS section file "Browser/README" in the Sather distribution. Send browser bug reports to "bug-sather@gnu.org"

SEE ALSO
  sacomp(1) and the Help menu in the browser.